com.thinkaurelius.titan.diskstorage.keycolumnvalue.keyvalue

## Class KVUtil

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.keycolumnvalue.keyvalue.KVUtil

-     public class KVUtil
      extends Object

  Utility methods for interacting with `KeyValueStore`.
  Author:
    Matthias Bröcheler (me@matthiasb.com);

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RecordIterator<KeyValueEntry>` | `EMPTY_ITERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KVUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntryList` | `convert(RecordIterator<KeyValueEntry> iter)`
    `static EntryList` | `getSlice(OrderedKeyValueStore store, StaticBuffer keyStart, StaticBuffer keyEnd, int limit, StoreTransaction txh)`
    `static EntryList` | `getSlice(OrderedKeyValueStore store, StaticBuffer keyStart, StaticBuffer keyEnd, StoreTransaction txh)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_ITERATOR

          public static final RecordIterator<KeyValueEntry> EMPTY_ITERATOR

  - ### Constructor Detail

    - #### KVUtil

          public KVUtil()

  - ### Method Detail

    - #### getSlice

          public static EntryList getSlice(OrderedKeyValueStore store,
                           StaticBuffer keyStart,
                           StaticBuffer keyEnd,
                           StoreTransaction txh)
                                    throws BackendException

      Throws:
        `BackendException`

    - #### getSlice

          public static EntryList getSlice(OrderedKeyValueStore store,
                           StaticBuffer keyStart,
                           StaticBuffer keyEnd,
                           int limit,
                           StoreTransaction txh)
                                    throws BackendException

      Throws:
        `BackendException`

    - #### convert

          public static EntryList convert(RecordIterator<KeyValueEntry> iter)
                                   throws BackendException

      Throws:
        `BackendException`

Copyright © 2012–2014. All rights reserved.